Fingerprint-SSH-Keys(1)

NAME
Fingerprint-SSH-Keys - prints SSH key fingerprints

SYNOPSIS
Fingerprint-SSH-Keys [-d | - -include-deprecated] [-r | - -include-raw] [-p | - -include-raw-python]
Fingerprint-SSH-Keys [-h | - -help]
Fingerprint-SSH-Keys [-v | - -version]

DESCRIPTION
Fingerprint-SSH-Keys prints the SSH key fingerprints of the local machine in different formats:
•   SSH hash format
•   DNS SSHFP RR format
•   Python dictionary

ARGUMENTS
The following options are available:

-d | - -include-deprecated
    Also include deprecated key types and hash algorithms in DNS SSHFP RR output.

-r | - -include-raw
    Also include the keys in raw format.

-p | - -include-raw-python
    Also include the keys in raw format as Python dictionary.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The Fingerprint-SSH-Keys tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

Fingerprint-SSH-Keys

Fingerprint-SSH-Keys --include-deprecated

Fingerprint-SSH-Keys -d

Fingerprint-SSH-Keys --version

Fingerprint-SSH-Keys --help

SEE ALSO
Reset-Machine-ID(1), System-Info(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh